void sendarp(unsigned char *, unsigned long, unsigned);

int _fastcall pkxmit(void *, unsigned);

void patch_vec(unsigned char _far *);
int driver_info(struct packet_info *);
int access_type(int, int, int, unsigned char _far *, unsigned, void (_far *)());
int release_type(int);
int get_address(int, unsigned char _far *, int);
void _far arp_receiver(void);
void _far pkt_receiver(void);
void pkclose(void);

void _fastcall dfputs(char *);
void _fastcall printn(unsigned short);
void mbinit(void);
void arpinit(void);

int kbd_shutdown(void);
int mouse_shutdown(void);
